Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class PlanMaker

    java.lang.Object
      ix.ip2.PlanMaker

     class PlanMaker

extends java.lang.Object

Constructs a plan from the current contents of the model.

See Also:
  `Plan`

Nested Class Summary
`(package private) static interface` | `PlanMaker.OrdWalker`
`(package private) class` | `PlanMaker.Pass2` Constructs a deep copy of a plan in which each Variable has been replaced by its value, if it has a value, or else by a PlanVariable.

Field Summary
`(package private) PanelController` | `controller`
`(package private) ix.icore.plan.ListOfPlanIssueRefinement` | `issueRefinements`
`(package private) java.util.Map` | `itemToNodeMap`
`(package private) Ip2ModelManager` | `modelManager`
`(package private) Gensym.Generator` | `nameGen`
`(package private) Plan` | `plan`
`(package private) ix.icore.plan.ListOfPlanRefinement` | `refinements`
`static Symbol` | `S_CONDITION`
`static Symbol` | `S_EFFECT`
`static Symbol` | `S_WORLD_STATE`
`(package private) ix.icore.plan.ListOfPlanIssue` | `topIssues`
`(package private) ix.icore.plan.ListOfPlanNode` | `topNodes`
`(package private) VariableManager` | `variableManager`
`(package private) java.util.Map` | `varToDclMap`

Constructor Summary
`PlanMaker(Ip2 ip2)`

Method Summary
`(package private) java.util.List` | `buildChildSiblingOrderings(ActivityItem item)`
`(package private) java.util.List` | `buildConstraints(Symbol type, Symbol relation, java.util.List assigns)`
`(package private) void` | `buildExpansion(ActivityItem item, PlanNode node)`
`(package private) void` | `buildIssueExpansion(IssueItem item, PlanIssue pi)`
`(package private) java.util.List` | `buildNonSiblingOrderings()`
`(package private) Plan` | `buildPlan()`
`(package private) void` | `checkItemToNodeMap(java.util.List childItems, java.util.List childNodes)`
`(package private) Name` | `genId(java.lang.String base)`
`(package private) Plan` | `getPlan()`
`(package private) PlanNode` | `getPlanNode(ActivityItem item)`
`(package private) ix.icore.domain.ListOfConstrainer` | `getTopLevelConstraints()`
`(package private) java.util.List` | `getVariables(java.util.Map varEnv)`
`(package private) ix.icore.domain.ListOfPatternAssignment` | `getWorldState()`
`(package private) boolean` | `isNonSiblingOrdering(PNodeEnd before, PNodeEnd after)`
`(package private) Ordering` | `makeOrdering(PNodeEnd before, PNodeEnd after)`
`(package private) PlanNode` | `makePlanNode(java.lang.String idBase, ActivityItem item)`
`(package private) ix.icore.plan.ListOfPlanVariableDeclaration` | `makeVariableDeclarations(java.util.List variables)`
`(package private) void` | `walkChildOrderings(PNode node, PlanMaker.OrdWalker w)`
`(package private) void` | `walkEndOrderings(PNodeEnd nodeEnd, PlanMaker.OrdWalker w)`
`(package private) void` | `walkIssues()`
`(package private) void` | `walkNodeOrderings(PNode node, PlanMaker.OrdWalker w)`
`(package private) void` | `walkNodes()`
`(package private) void` | `walkTopIssue(IssueItem item)`
`(package private) void` | `walkTopNode(ActivityItem item)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### S_WORLD_STATE

    public static final Symbol S_WORLD_STATE

### S_CONDITION

    public static final Symbol S_CONDITION

### S_EFFECT

    public static final Symbol S_EFFECT

### nameGen

    Gensym.Generator nameGen

### controller

    PanelController controller

### modelManager

    Ip2ModelManager modelManager

### variableManager

    VariableManager variableManager

### plan

    Plan plan

### topNodes

    ix.icore.plan.ListOfPlanNode topNodes

### refinements

    ix.icore.plan.ListOfPlanRefinement refinements

### topIssues

    ix.icore.plan.ListOfPlanIssue topIssues

### issueRefinements

    ix.icore.plan.ListOfPlanIssueRefinement issueRefinements

### varToDclMap

    java.util.Map varToDclMap

### itemToNodeMap

    java.util.Map itemToNodeMap

Constructor Detail

### PlanMaker

    PlanMaker(Ip2 ip2)

Method Detail

### getPlan

    Plan getPlan()

### buildPlan

    Plan buildPlan()

### genId

    Name genId(java.lang.String base)

### getVariables

    java.util.List getVariables(java.util.Map varEnv)

### makeVariableDeclarations

    ix.icore.plan.ListOfPlanVariableDeclaration makeVariableDeclarations(java.util.List variables)

### getTopLevelConstraints

    ix.icore.domain.ListOfConstrainer getTopLevelConstraints()

### getWorldState

    ix.icore.domain.ListOfPatternAssignment getWorldState()

### walkIssues

    void walkIssues()

### walkTopIssue

    void walkTopIssue(IssueItem item)

### buildIssueExpansion

    void buildIssueExpansion(IssueItem item,
                             PlanIssue pi)

### walkNodes

    void walkNodes()

### walkTopNode

    void walkTopNode(ActivityItem item)

### makePlanNode

    PlanNode makePlanNode(java.lang.String idBase,
                          ActivityItem item)

### getPlanNode

    PlanNode getPlanNode(ActivityItem item)

### buildExpansion

    void buildExpansion(ActivityItem item,
                        PlanNode node)

### checkItemToNodeMap

    void checkItemToNodeMap(java.util.List childItems,
                            java.util.List childNodes)

### buildConstraints

    java.util.List buildConstraints(Symbol type,
                                    Symbol relation,
                                    java.util.List assigns)

### buildChildSiblingOrderings

    java.util.List buildChildSiblingOrderings(ActivityItem item)

### buildNonSiblingOrderings

    java.util.List buildNonSiblingOrderings()

### isNonSiblingOrdering

    boolean isNonSiblingOrdering(PNodeEnd before,
                                 PNodeEnd after)

### walkChildOrderings

    void walkChildOrderings(PNode node,
                            PlanMaker.OrdWalker w)

### walkNodeOrderings

    void walkNodeOrderings(PNode node,
                           PlanMaker.OrdWalker w)

### walkEndOrderings

    void walkEndOrderings(PNodeEnd nodeEnd,
                          PlanMaker.OrdWalker w)

### makeOrdering

    Ordering makeOrdering(PNodeEnd before,
                          PNodeEnd after)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD